%global enable_tests 0
%global barename flot

Name:		nodejs-flot
Version:	0.8.3
Release:	2%{?dist}
Summary:	Javascript plotting library for jQuery

License:	MIT
URL:		http://www.flotcharts.org/
Source0:	https://github.com/flot/flot/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	closure-compiler
BuildRequires:	jarjar

%if 0%{?enable_tests}
BuildRequires:	npm(jshint)
%endif

Requires:	js-jquery1
Requires:	js-excanvas

%description
Flot is a Javascript plotting library for jQuery.  
Read more at the website: <http://www.flotcharts.org/>

%prep
%setup -qn %{barename}-%{version}
# Removing bundled libraries
rm jquery.js excanvas.js excanvas.min.js

# Use closure-compiler instead of yui-compressor
sed -i  's|yui-compressor $< -o $@|closure-compiler $(CLOSURE_FLAGS) --js=$< >$@|' \
    Makefile

%build
CLOSURE_FLAGS="--language_in=ECMASCRIPT5" make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/flot
cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/flot

# Use system excanvas
ln -sf %{_datadir}/javascript/excanvas/0/excanvas.js \
    %{buildroot}%{nodejs_sitelib}/flot/excanvas.js

ln -sf %{_datadir}/javascript/excanvas/0/excanvas.min.js \
    %{buildroot}%{nodejs_sitelib}/flot/excanvas.min.js

# Use system jquery
ln -sf %{_datadir}/javascript/jquery/1/jquery.js \
    %{buildroot}%{nodejs_sitelib}/flot/jquery.js

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
make test
%endif


%files
%license LICENSE.txt
%doc NEWS.md README.md
%{nodejs_sitelib}/flot

%changelog
* Sun Jul 26 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.8.3-2
- Setting CLOSURE_FLAGS="--language_in=ECMASCRIPT5" before executing make

* Sat Jul 25 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.8.3-1
- Update to 0.8.3
- Unbundling excanvas and jquery
- Minify with closure-compiler instead of yui-compressor

* Fri Jul 24 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 0.8.0-0.1.alpha
- Initial packaging
